Public Class Form1
    Private Sub ToolBar1_ButtonClick(sender As Object, e As ToolBarButtonClickEventArgs) _
        Handles ToolBar1.ButtonClick
        MsgBox("Você clicou no " & e.Button.Text)

        If e.Button Is ToolBar1.Buttons(1) Then
            MsgBox("Você clicou no segundo botão!")
        End If

        If e.Button Is ToolBar1.Buttons(4) Then
            MenuItem1.PerformClick()
        End If
    End Sub

    Private Sub MenuItem1_Click(sender As Object, e As EventArgs) Handles MenuItem1.Click
        MsgBox("Você clicou na opção Azul.")
    End Sub

    Private Sub MenuItem2_Click(sender As Object, e As EventArgs) Handles MenuItem2.Click
        MsgBox("Você clicou na opção Verde.")
    End Sub

    Private Sub MenuItem3_Click(sender As Object, e As EventArgs) Handles MenuItem3.Click
        MsgBox("Você clicou na opção Vermelho.")
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ComboBox1.Items.Add("Selecione...")
        ComboBox1.Items.Add("Corinthians")
        ComboBox1.Items.Add("São Paulo")
        ComboBox1.Items.Add("Santos")
        ComboBox1.Items.Add("Palmeiras")
        ComboBox1.SelectedIndex = 0
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox1.SelectedIndexChanged
        Dim selectedIndex As Integer
        selectedIndex = ComboBox1.SelectedIndex
        Dim selectedItem As Object
        selectedItem = ComboBox1.SelectedItem

        MsgBox("Texto do item selecionado: " & selectedItem.ToString & _
               " índice selecionado: " & selectedIndex.ToString)
    End Sub
End Class
